/**
 * @return {string}
 */

export default {
  onBeforeEdit: ({ isNew, setFieldValueByBatch, dispatch, data }) => {
    if (isNew) {
      const temps = []
      temps.push({ field: 'ID', value: data.record.ID })
      setFieldValueByBatch(temps)
    }
    else {
      if (!data.record.ID)
        return
      const json = {
        Parameter1: data.record.ID,
      }
      dispatch({
        type: 'app/getDataByPost',
        url: 'FM/FMSrcTag/GetEditData',
        payload: json,
        onlyData: false,
        onComplete: (re) => {
          if (re && re.IsSuccessful && re.Data && re.Data != null) {
            var data = re.Data
            const temps = []
            temps.push({ field: 'ID', value: data.ID })
            temps.push({ field: 'Var_Type', value: data.Var_Type })
            temps.push({ field: 'Change_Rate', value: 0.05 })
            setFieldValueByBatch(temps)
          }
        }
      })
    }
  },

}
